Bug 1285550 - root lockout exemption for groups
root lockout exemption for groups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pam (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tomas Mraz
Dalibor Pospíšil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 17:44 EST by Steve Grubb
Modified: 2018-04-10 07:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: pam-1.1.8-19.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 07:35:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0718 None None None 2018-04-10 07:36 EDT

  None (edit)
Description Steve Grubb 2015-11-25 17:44:52 EST
Description of problem:
Security Guidance advises people to not login via root. This is enforced in several places based on the security guides. However, it  looks like if someone/everyone gets locked out, it possibly requires a root login because the is the only account exempt from the lockout policy.

Most admins are members of the wheel group. Security Guidance typically asks admins to fix su or sudo to only allow wheel group members the ability to become root. I am wondering if the lockout exemptions for root should also be optionally extended to wheel group members so that we have a recovery method consistent with security guidance.
Comment 1 Tomas Mraz 2016-01-18 10:29:57 EST
So what PAM modules are we talking here about?

pam_faillock is clearly one. Is there anything else?
Comment 2 Steve Grubb 2016-01-18 10:50:30 EST
pam_faillock is the main one. I presume the pam_tally* modules are being deprecated at some future point.
Comment 11 errata-xmlrpc 2018-04-10 07:35:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0718

Note You need to log in before you can comment on or make changes to this bug.